# Importion of modules.
import os
import sys
import pygame

def load_image( file_name ):
	"""
	This function loads an image.  It returns a surface object on sucess, otherwise an exception is thrown.

	Parameters
		file_name	String
			The filename of the image to be loaded.

	Return values
		image 		pygame.Surface()
			The image as an pygame.Surface() object.
	"""

	# Contruct the absolute path to the file, including the file.
	filename = os.path.join( "images", file_name )

	# Let us try to load the image.  If an image can not be loaded, the except part is executed and the program aborts execution.
	try:
		image = pygame.image.load( filename )

		# Convert the image for faster blitting.
		image = image.convert_alpha()
		return image
		
	except RuntimeError:
		raise pygame.error, "Failed to load " + filename
